summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Sokolov <sokolov@google.com>2019-12-31 08:10:50 +0000
committerAndreas Sturmlechner <asturm@gentoo.org>2020-01-01 11:06:09 +0100
commitc4bd8fef8a9d89de7242121cad6b83735be188bc (patch)
treec9d058cc7ec30b7c1bdaa380d6a154a2ab92e089 /sci-astronomy
parentapp-text/liblangtag: 0.6.3 version bump, EAPI-7 bump (diff)
downloadgentoo-c4bd8fef8a9d89de7242121cad6b83735be188bc.tar.gz
gentoo-c4bd8fef8a9d89de7242121cad6b83735be188bc.tar.bz2
gentoo-c4bd8fef8a9d89de7242121cad6b83735be188bc.zip
sci-astronomy/stellarium: version bump - 0.19.3
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Alexey Sokolov <sokolov@google.com> Closes: https://github.com/gentoo/gentoo/pull/14196 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/stellarium/Manifest1
-rw-r--r--sci-astronomy/stellarium/stellarium-0.19.3.ebuild83
2 files changed, 84 insertions, 0 deletions
diff --git a/sci-astronomy/stellarium/Manifest b/sci-astronomy/stellarium/Manifest
index 335b0fe58cc..4083d884486 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -6,3 +6,4 @@ DIST stars_8_2v0_1.cat 559068934 BLAKE2B c040a369cdf6885759998e1315b554d21a5e2b9
DIST stellarium-0.19.0.tar.gz 309151408 BLAKE2B d5726762c402cebca47c7cb218a2edc918aceb11e4bf44f0473bf86a8bfc75b908467112e8ce797c90f9c1307884f853a24f919efe11e86ef04c9eb0ff356a3b SHA512 26cb44fe4280275ce64594d01bdded4ddd2cda5d21887b4329de51188cc392e8390036702ee316446dcdb54182dec5d217a387898c4c7aa82ce14742b4d4694f
DIST stellarium-0.19.1.tar.gz 314373270 BLAKE2B 23f11005e2862c42abefc37d997c875bbed379e8182dbc533f24f303200791dc4c069adc0e290b2faa630a0fc058b7060bc3715714bae37a89ff5820b86d21ed SHA512 59ab715f7b81e037ed3d23444547dcd00a41b9a1925d58b40a17372e286bbea2c1b762582cd7e1f81d690204840cc23dd9627e2c0bd4abf52367a456849eefe9
DIST stellarium-0.19.2.tar.gz 318402838 BLAKE2B cee07bbb2e4a124912dc383e1d43007912498793c3609de05caf3b6673d01ccfcf0b560cb879bf47d6b00c7ce6b10810a17189f38fdac55e02dc496e194269b3 SHA512 a0002dc8a1e43aa264cdf013b57362880d4809207a1f867285d3e1187c4c88c67d166652afe0edeec5a98eff1167e6c3693594d467605ba78ee29d6eb7878d4b
+DIST stellarium-0.19.3.tar.gz 326218851 BLAKE2B 286d2559a2152f030640ed88778f57f1213d0d8b9e990d0aa1ad5138396fe9641083ec76554e1296dc79d914955e289d23046af42299df6217bbfbaca76b2f18 SHA512 c2948603a3b84fd2b7002cbd9993a2432ca0908d9236aca03c03ff0cf0706728a407218096e94da2b2a623b5434c109906d94ee5069a2d57a8e35af7c8455ff7
diff --git a/sci-astronomy/stellarium/stellarium-0.19.3.ebuild b/sci-astronomy/stellarium/stellarium-0.19.3.ebuild
new file mode 100644
index 00000000000..aeb64700a64
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-0.19.3.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake desktop flag-o-matic xdg virtualx
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="https://www.stellarium.org/"
+SRC_URI="
+ https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.gz
+ stars? (
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_4_1v0_2.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_5_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_6_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_7_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_8_2v0_1.cat
+ )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug gps media nls stars test"
+
+BDEPEND="
+ nls? ( dev-qt/linguist-tools:5 )
+"
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtserialport:5
+ dev-qt/qtwidgets:5
+ media-fonts/dejavu
+ sys-libs/zlib
+ virtual/opengl
+ gps? ( dev-qt/qtpositioning:5 )
+ media? ( dev-qt/qtmultimedia:5[widgets] )
+"
+DEPEND="${RDEPEND}
+ dev-qt/qtconcurrent:5
+ test? ( dev-qt/qttest:5 )
+"
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ cmake_src_prepare
+ use debug || append-cppflags -DQT_NO_DEBUG #415769
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_GPS="$(usex gps)"
+ -DENABLE_MEDIA="$(usex media)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_TESTING="$(usex test)"
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ virtx cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ # use the more up-to-date system fonts
+ rm "${ED}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+ dosym ../../fonts/dejavu/DejaVuSans.ttf /usr/share/stellarium/data/DejaVuSans.ttf
+ dosym ../../fonts/dejavu/DejaVuSansMono.ttf /usr/share/stellarium/data/DejaVuSansMono.ttf
+
+ if use stars ; then
+ insinto /usr/share/${PN}/stars/default
+ doins "${DISTDIR}"/stars_4_1v0_2.cat
+ doins "${DISTDIR}"/stars_{5,6,7,8}_2v0_1.cat
+ fi
+ newicon doc/images/stellarium-logo.png ${PN}.png
+}